Bug 466326 - Server Registration Issue
Server Registration Issue
Status: CLOSED NOTABUG
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Registration (Show other bugs)
unspecified
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Justin Sherrill
wes hayutin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-09 14:43 EDT by Michael Lense
Modified: 2008-12-16 15:42 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-16 15:42:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
copy of /var/log/up2date (622.42 KB, application/octet-stream)
2008-10-09 14:43 EDT, Michael Lense
no flags Details

  None (edit)
Description Michael Lense 2008-10-09 14:43:30 EDT
Created attachment 319902 [details]
copy of /var/log/up2date

Description of problem:
I have 12 servers that I administrate that were registered to our Red Hat Satellite Server and all were working fine. I checked on the WEB page for on the satellite yesterday and they were no longer showing up... I tried to do an up2date -l on the servers and received the following:

[root]# /usr/sbin/up2date -l
Error Message:
Please run rhn_register (or up2date --register on Red Hat Enterprise Linux 3 or later)
as root on this client
Error Class Code: 9
Error Class Info: Invalid System Credentials.
Explanation:
An error has occurred while processing your request. If this problem
persists please enter a bug report at bugzilla.redhat.com.
If you choose to submit the bug report, please be sure to include
details of what you were trying to do when this error occurred and
details on how to reproduce this problem.
[root]# 

I contacted the administrator of our satellite server and he said the servers that were assigned to me are no longer showing and he suggested that I try to re-register as message suggested.. When I did that I received the following:

[root]# rhnreg_ks --activationkey "d2defa494dde54cef09be8bc8a666d4a" --serverUrl http://mural18.cmg.convergys.com/XMLRP
This system is already registered. Use --force to override
[root]#
[root]# rhnreg_ks --activationkey "d2defa494dde54cef09be8bc8a666d4a" --force --serverUrl http://mural18.cmg.convergys.com/XMLRP
An error has occurred:
exceptions.AssertionError
[root]#


Version-Release number of selected component (if applicable):
Satellite Server Information:
$ rpm -qa |grep -i satell
rhn-satellite-admin-4.0.5-2
rhn-satellite-config-4.0.6-3.rhel4
rhn-satellite-schema-4.0.5-2
rhns-satellite-tools-4.0.6-27.rhel4
$
$ cat /etc/redhat-release
Red Hat Enterprise Linux AS release 4 (Nahant Update 7)
$

The servers I am trying to re-register are:
Red Hat Enterprise Linux AS 4
Red Hat Enterprise Linux ES 3
Red Hat Enterprise Linux ES 4

How reproducible:


Steps to Reproduce:
1. up2date -l
2. rhnreg_ks
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Clifford Perry 2008-12-04 11:28:25 EST
Hi there, 
The client side /var/log/up2date should have a traceback associated with the AssertionError. 

I strongly recommend to please use your support contacts to open a ticket with support for further troubleshooting of this issue. I hope that a resolution can be provided and this bugzilla closed out. If supports do indeed find a bug that needs to be addressed, they will correctly associate your support ticket to a bugzilla for you.

Regards,
Clifford.

Note You need to log in before you can comment on or make changes to this bug.